Skip to main content

Preflight REST API Endpoint

Loading...

Updated on
Feb 27, 2026

Preflight REST API Endpoint

Parameters

Body Parameters

action
object
REQUIRED
Loading...
type
string
Loading...
orders
array
Loading...
asset
string
Loading...
side
string
Loading...
price
string
Loading...
size
string
Loading...
tif
string
Loading...

Returns

valid
boolean
Loading...
errors
array
Loading...
assetInfo
array
Loading...
order
integer
Loading...
asset
integer
Loading...
name
string
Loading...
szDecimals
integer
Loading...
isSpot
boolean
Loading...
estimatedFee
string
Loading...
isSpot
boolean
Loading...
Request
1
curl -s -X POST https://docs-demo.hype-mainnet.quiknode.pro/hypercore/preflight \
2
-H "Content-Type: application/json" \
3
-d '{
4
"action": {
5
"type": "order",
6
"orders": [
7
{
8
"asset": "BTC",
9
"side": "buy",
10
"price": "100000",
11
"size": "0.001",
12
"tif": "ioc"
13
}
14
]
15
}
16
}'
17
1
curl -s -X POST https://docs-demo.hype-mainnet.quiknode.pro/hypercore/preflight \
2
-H "Content-Type: application/json" \
3
-d '{
4
"action": {
5
"type": "order",
6
"orders": [
7
{
8
"asset": "BTC",
9
"side": "buy",
10
"price": "100000",
11
"size": "0.001",
12
"tif": "ioc"
13
}
14
]
15
}
16
}'
17
Don't have an account yet?
Create your Quicknode endpoint in seconds and start building
Get started for free